Bug 467239 - Review Request: globus-gss-assist - Globus Toolkit - GSSAPI Assist library
Review Request: globus-gss-assist - Globus Toolkit - GSSAPI Assist library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 453851 453856 453857 467235 467237
Blocks: 453865 478918 478919 478921 478922
  Show dependency treegraph
 
Reported: 2008-10-16 10:34 EDT by Mattias Ellert
Modified: 2009-05-21 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2008-10-16 10:34:17 EDT
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gss-assist.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gss-assist-4.0-0.2.fc9.src.rpm
Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gss-assist package contains:
GSSAPI Assist library

BuildRequires:	gpt
BuildRequires:	globus-gsi-cert-utils-devel >= 2
BuildRequires:	globus-gsi-sysconfig-devel >= 1
BuildRequires:	globus-common-devel >= 3
BuildRequires:	globus-callout-devel
BuildRequires:	globus-gssapi-gsi-devel >= 4
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Environment variable elimination patch:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6480

globus_i_gss_assist_gridmap_parse_globusid and X509_NAME_oneline don't normalize DNs the same way:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=1417

Fix some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6482

The package also incorporates the GRIDMAPDIR patch from VDT:
http://vdt.cs.wisc.edu/patches/1.10.1/011__gss_assist_gridmap.diff
Comment 3 Mattias Ellert 2009-01-05 19:50:39 EST
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gss-assist-4.0-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-gss-assist.spec
Comment 4 Mattias Ellert 2009-03-15 20:00:35 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gss-assist-4.0-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gss-assist.spec
Comment 5 Mattias Ellert 2009-04-17 09:44:41 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gss-assist-4.0-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gss-assist.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 6 Orcan Ogetbil 2009-05-19 01:35:06 EDT
I went over this package. No major issues. I still have to see it building in koji in all archs and to check the resulting packages. Meanwhile I'd like to ask two questions.

- rpmlints
   globus-gss-assist-progs.x86_64: W: no-documentation
   globus-gss-assist-devel.x86_64: W: no-documentation
can be ignored.

? globus-gss-assist-normalization.patch seems to be rejected by upstream without apparent explanation (closed WONTFIX). What might be wrong?

? For globus-gss-assist.patch, you say "the GRIDMAPDIR patch from VDT". Who is this VDT, is it related to upstream globus? If not, would you consider submitting the patch to them?
Comment 7 Mattias Ellert 2009-05-19 02:43:22 EDT
(In reply to comment #6)
> I went over this package. No major issues. I still have to see it building in
> koji in all archs and to check the resulting packages. Meanwhile I'd like to
> ask two questions.
> 
> - rpmlints
>    globus-gss-assist-progs.x86_64: W: no-documentation
>    globus-gss-assist-devel.x86_64: W: no-documentation
> can be ignored.
> 
> ? globus-gss-assist-normalization.patch seems to be rejected by upstream
> without apparent explanation (closed WONTFIX). What might be wrong?

There is nothing really wrong, it is just that upstream does not really care about certificate subject names that contain non-ascii characters. The recommended practice by upstream is to not use non-ascii characters in the certificate subject names, so it is a non-issue for them.

> ? For globus-gss-assist.patch, you say "the GRIDMAPDIR patch from VDT". Who is
> this VDT, is it related to upstream globus? If not, would you consider
> submitting the patch to them?  

Globus is well aware of VDT (virtual data toolkit) - http://vdt.cs.wisc.edu/ - and their patches. They are already submitted to globus bugzilla:

https://bugzilla.mcs.anl.gov/globus/show_bug.cgi?id=6192

VDT it is one of the most commonly used distribution channels for the Globus Toolkit. Many users of globus use this patch since they get globus from VDT rather than from upstream directly, so it makes sense to include it. My suspicion is that if I don't include it, I will get a feature request to include it very soon anyway.
Comment 8 Orcan Ogetbil 2009-05-19 02:58:57 EDT
Thanks. No further questions.

- koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1362675


----------------------------------------------------
This package (globus-gss-assist) is APPROVED by oget
----------------------------------------------------
Comment 9 Mattias Ellert 2009-05-19 03:20:53 EDT
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gss-assist
Short Description: Globus Toolkit - GSSAPI Assist library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-05-20 01:35:20 EDT
cvs done.
Comment 11 Fedora Update System 2009-05-20 15:56:51 EDT
globus-gss-assist-4.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gss-assist-4.0-1.fc10
Comment 12 Fedora Update System 2009-05-20 15:56:57 EDT
globus-gss-assist-4.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gss-assist-4.0-1.fc11
Comment 13 Fedora Update System 2009-05-20 15:57:02 EDT
globus-gss-assist-4.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gss-assist-4.0-1.fc9
Comment 14 Fedora Update System 2009-05-21 19:26:04 EDT
globus-gss-assist-4.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-21 19:26:47 EDT
globus-gss-assist-4.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-21 19:28:56 EDT
globus-gss-assist-4.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.